#ifndef __MOTO_H__
#define __MOTO_H__
#include "stm32f10x.h"

/**----------------------------------------------------------------------
硬件连接说明：

// 电机控制
PB0 -> R_PWM
PB13-> R_IN2
PB12-> R_IN1

PB1 -> L_PWM
PB14-> L_IN2
PB15-> L_IN1

PA0 -> LA
PA1 -> LB

// 编码器

// 左电机编码器计数
PA0----接 编码器A相 或者电机驱动的B2B标识
PA1----接 编码器B相 或者电机驱动的B2A标识

// 右电机编码器计数
PB6----接 编码器B相 或者电机驱动的B1A标识
PB7----接 编码器A相 或者电机驱动的B1B标识

TB6612驱动中, 小车车头对应前进方向, Left对应A,Right对应B
*---------------------------------------------------------------------**/

//硬件连接说明：
#define GO    0   // 定义电机状态 前进
#define BACK  1   // 后退
#define STOP  2   // 停车

// 电机的GPIO初始化
void Motor_Init(void);
// 左电机控制
void Motor_CtlLeft(char state);
// 右电机控制
void Motor_CtlRight(char state);
	
void Car_Go(void);
void Car_Back(void);									
void Car_TurnRight(void);
void Car_TurnLeft(void);
void Car_Stop(void);
#endif
